#include "crossroads.h"

void lock_reporter() {
    struct sembuf buf[] = {
	{
	    0,		/* semaphore number */
	    0,		/* wait for zero */
	    0,		/* no special flags */
	}, 
	{
	    0,		/* semaphore number */
	    1, 		/* add 1 to the value */
	    0		/* no special flags */
	}
    };
    
    if (flag_foreground)
	return;

    /* msg ("Locking reporter memory"); */
    if (semop (semid, buf, 2) < 0)
	error ("Failed to lock reporter memory: %s",
	       strerror(errno));
}
